\documentclass[../Social_Networks_LabBook.tex]{subfiles}
\begin{document}
\section{2019-03-04 Clustering}
\subsection{Graph Edges}
The graph has 2519 edges. Because the graph is undirected, the number of edges is half the number of recorded neighbours.
\subsection{Connected Components}
The number of connected components in the graph can be found by repeatedly running depth-first search until all nodes have been seen. The number of searches required is the number of components. There are 5 components.
\subsection{Edge Betweenness}
The edge betweenness of a graph is a measure of how often an edge is used in a shortest path. Again, there are a few edges with very high utilisation but most edges are used only once.
\subsection{Girvan-Newman Algorithm}
The Girvan-Newman algorithm splits a graph into clusters of related nodes by deleting the bridges (edges with high betweenness) which connect otherwise mostly unrelated clusters.
We have chosen to terminate the algorithm once we have created a certain number of clusters (20), although you could also choose to terminate once the maximum betweenness is less than a certain value. These 20 clusters roughly separate the friends in the graph into 20 cliques which are mostly unconnected.
\end{document}
